# gphoto2-result.c File Reference

`#include "config.h"`
`#include <gphoto2/gphoto2-result.h>`
`#include <stddef.h>`

## Defines

#define | _(String) (String)
#define | N_(String) (String)

## Functions

const char * | gp_result_as_string (int result)
| Translate a gphoto error code into a localized string.

## Detailed Description

Author:
  Copyright 2000 Scott Fritzinger

License
  This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

## Function Documentation

const char* gp_result_as_string | ( | int | result | ) |

Translate a gphoto error code into a localized string.

Parameters:

  | result | a gphoto2 error code

Translates a gphoto2 error code into a human readable string. If the error occurred in combination with a camera, gp_camera_get_result_as_string should be used instead.

Returns:
  A string representation of a gphoto2 error code